Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCUnlock

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCUnlock

All Implemented Interfaces:
  `Cloneable`

public class CCUnlock extends ClearCase
Performs a ClearCase Unlock command.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
comment | Specifies how to populate comments fields | No
pname | Specifies the object pathname to be unlocked. | No
objselect | This variable is obsolete. Should use objsel instead. | no
objsel | Specifies the object(s) to be unlocked. | No
failonerr | Throw an exception if the command fails. Default is true | No

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FLAG_COMMENT`
-comment flag -- method to use for commenting events
`static final String`
`FLAG_PNAME`
-pname flag -- pathname to lock

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`CCUnlock()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
Executes the task.
`String`
`getComment()`
Get comment method
`String`
`getObjselect()`
Get list of objects to be locked
`String`
`getPname()`
Get the pathname to be locked
`void`
`setComment(String comment)`
Sets how comments should be written for the event record(s)
`void`
`setObjSel(String objsel)`
Sets the object(s) to be locked
`void`
`setObjselect(String objselect)`
Sets the object(s) to be locked
`void`
`setPname(String pname)`
Sets the pathname to be locked

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLAG_COMMENT

public static final String FLAG_COMMENT
-comment flag -- method to use for commenting events

See Also:
  - Constant Field Values

### FLAG_PNAME

public static final String FLAG_PNAME
-pname flag -- pathname to lock

See Also:
  - Constant Field Values

## Constructor Details

### CCUnlock

public CCUnlock()

## Method Details

### execute

public void execute() throws BuildException
Executes the task.

Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if the command fails and failonerr is set to true

### setComment

public void setComment(String comment)
Sets how comments should be written for the event record(s)

Parameters:
  `comment` - comment method to use

### getComment

public String getComment()
Get comment method

Returns:
  String containing the desired comment method

### setPname

public void setPname(String pname)
Sets the pathname to be locked

Parameters:
  `pname` - pathname to be locked

### getPname

public String getPname()
Get the pathname to be locked

Returns:
  String containing the pathname to be locked

### setObjselect

public void setObjselect(String objselect)
Sets the object(s) to be locked

Parameters:
  `objselect` - objects to be locked

### setObjSel

public void setObjSel(String objsel)
Sets the object(s) to be locked

Parameters:
  `objsel` - objects to be locked
Since:
  ant 1.6.1

### getObjselect

public String getObjselect()
Get list of objects to be locked

Returns:
  String containing the objects to be locked